#include <stdio.h>
#include <sys/fcntl.h>

main()
{
	void	get_position_string(int, off_t, char *);

	int     fd;
	char	buffer[1024];


	if((fd = open("imsi", O_RDONLY)) < 0)
		{
		puts("input file open error");
		exit(1);
		}

	get_position_string(fd, 90, buffer);
	puts(buffer);

	close(fd);
}


void
get_position_string(int fd, off_t position, char *buffer)
{
	int		i = 0;
	char	c;


	if(lseek(fd, position, SEEK_SET) < 0)
		{
		perror("lseek");
		exit(1);
		}
	

	if(read(fd, &c, 1) != 1)
		{	
		perror("read");
		exit(1);
		}

	while(!isalpha(c))
		if(read(fd, &c, 1) != 1)
		{	
		perror("read");
		exit(1);
		}

	buffer[i++] = c;

	do	{
		if(read(fd, &c, 1) != 1)
		{	
		perror("read");
		exit(1);
		}
		buffer[i++] = c;
	} while(!isspace(c));

	buffer[i] = '\0';
}

