#include <sys/socket.h>
#include <netinet/in.h>

#define MAX_STRING 512
#define FOREVER while(1)
#define SERVER_ADDRESS "61.33.30.40"

int main(int argc, char *argv[])
{
	char	get_string[MAX_STRING];
	int		string_length;
	int		client_socket;
	struct	sockaddr_in server_address, client_address;

	if((client_socket = socket(PF_INET, SOCK_DGRAM, 0)) < 0)
		{
		perror("socket");
		exit(1);
		}

	bzero((char *)&client_address, sizeof(client_address));
	client_address.sin_family = AF_INET;
	client_address.sin_addr.s_addr = htonl(INADDR_ANY);
	client_address.sin_port = htonl(INADDR_ANY);

	if(bind(client_socket, 
		(struct sockaddr *)&client_address,
		sizeof(struct sockaddr)) < 0)
		{
		perror("bind");
		exit(1);
		}

	bzero((char *)&server_address, sizeof(server_address));
	server_address.sin_family = AF_INET;
	server_address.sin_addr.s_addr = inet_addr(SERVER_ADDRESS);
	server_address.sin_port = htons(3000);

	strcpy(get_string, "client message");
	if(sendto(client_socket,
		get_string, strlen(get_string),
		0,
		&server_address,
		sizeof(struct sockaddr_in)) < 0)
		{
		perror("sendto");
		exit(1);
		}

	if((string_length = recvfrom(client_socket,
		get_string, MAX_STRING, 0, NULL, NULL)) < 0)
		{
		perror("recvfrom");
		exit(1);
		}

	get_string[string_length] = '\0';
	puts(get_string);


	close(client_socket);
}
