#include <stdlib.h>
#include <sys/socket.h>
#include <netinet/in.h>

#define MAX_STRING 512
#define FOREVER while(1)

int main(int argc, char *argv[])
{
	int	server_socket, client_socket;
	int	string_length, client_length;
	char	get_string[MAX_STRING];
	struct	sockaddr_in server_address, client_address;


	if((server_socket = socket(PF_INET, SOCK_DGRAM, 0)) < 0)
		{
		perror("socket");
		exit(0);
		}

	bzero((char *)&server_address, sizeof(server_address));
	server_address.sin_family = PF_INET;
	server_address.sin_addr.s_addr = htonl(INADDR_ANY);
	server_address.sin_port = htons(3000);

	if(bind(server_socket,
		(struct sockaddr *)&server_address, sizeof(server_address)) < 0)
		{
		perror("bind");
		exit(1);
		}

	puts("server ready");

	client_length = sizeof(client_address);

	if((string_length = recvfrom(server_socket,
		get_string, MAX_STRING, 0, &client_address, &client_length)) < 0)
		{
		perror("recvfrom");
		exit(1);
		}
	get_string[string_length] = '\0';
	puts(get_string);

	strcat(get_string, " !!!");
	if(sendto(server_socket, get_string, strlen(get_string), 0,
		&client_address, sizeof(struct sockaddr_in)) < 0)
		{
		perror("sendto");
		exit(1);
		}

	close(server_socket);
}
