#include <unistd.h>
#include <fcntl.h>

#define BUF_SIZE	1024

void
main(int argc, char *argv[])
{
	int	input_file, output_file;
	ssize_t	read_count;
	char	buffer[BUF_SIZE];


	if((input_file = open(argv[1], O_RDONLY)) < 0)
		{
		puts("input file open error");
		exit(1);
		}

	if((output_file = open(argv[2], O_WRONLY | O_CREAT | O_TRUNC, 0644)) < 0)
		{
		puts("ouput file open error");
		exit(1);
		}

	while((read_count = read(input_file, buffer, sizeof(buffer))) > 0)
		write(output_file, buffer, read_count);

	close(input_file);
	close(output_file);
}
